From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/fceux/
Date: Thu, 24 Mar 2022 14:17:25 +0000 (UTC) [thread overview]
Message-ID: <1648131413.1802aa51102284852250c9c5b0cc19a138a884b2.ionen@gentoo> (raw)
commit: 1802aa51102284852250c9c5b0cc19a138a884b2
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 24 14:16:41 2022 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu Mar 24 14:16:53 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1802aa51
games-emulation/fceux: add 2.6.4
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
games-emulation/fceux/Manifest | 1 +
games-emulation/fceux/fceux-2.6.4.ebuild | 56 ++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/games-emulation/fceux/Manifest b/games-emulation/fceux/Manifest
index 92395abc479e..fb6709264ccc 100644
--- a/games-emulation/fceux/Manifest
+++ b/games-emulation/fceux/Manifest
@@ -1 +1,2 @@
DIST fceux-2.6.3.tar.gz 23355815 BLAKE2B 49984aec5d3d8ca5fcc040bac16cf4af406fce2dbc4cf4a02e386195be5eca09c4b297e73c438b10b865bcd42e8c8b7e33971a30be285c315e183dc018c5b97e SHA512 446a7cd45afb703e2268f3f6d71dc1a0d9da5f67e1121026258c960fdd360775f31dcab97c1da2755abeef10e9c6757c0af2f3cc67ccb63314c84ef6a4700b2b
+DIST fceux-2.6.4.tar.gz 23372193 BLAKE2B 0a27bdc1637c4577f175f9afed6318d3020221a2823adc154baffbda005d28cfdf04a00bc0c7b3c9b51ec4b4f5a709e36cb686ec8f11c73f5e7c83e3b84b83e3 SHA512 9fd8b908b652b5b8f120d15bdd43fa1e3475a300e0f1ec7d44965c95ec4bf58f7f9fe9511ea975effaf37f2cc4900e74021b06111dcafecc27affdd9d4e12f2e
diff --git a/games-emulation/fceux/fceux-2.6.4.ebuild b/games-emulation/fceux/fceux-2.6.4.ebuild
new file mode 100644
index 000000000000..ac55ef93a2b4
--- /dev/null
+++ b/games-emulation/fceux/fceux-2.6.4.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-1 )
+inherit cmake lua-single xdg
+
+DESCRIPTION="Portable Famicom/NES emulator, an evolution of the original FCE Ultra"
+HOMEPAGE="https://fceux.com/"
+SRC_URI="mirror://sourceforge/fceultra/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ffmpeg x264 x265"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+# TODO: QT6 support (disabled by default) when available in Gentoo
+RDEPEND="
+ ${LUA_DEPS}
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtopengl:5[-gles2-only]
+ dev-qt/qtwidgets:5
+ media-libs/libglvnd
+ media-libs/libsdl2[joystick,sound,threads,video]
+ sys-libs/zlib:=[minizip]
+ ffmpeg? ( media-video/ffmpeg:= )
+ x264? ( media-libs/x264:= )
+ x265? ( media-libs/x265:= )"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.2.2-warnings.patch
+ "${FILESDIR}"/${PN}-2.4.0-desktop.patch
+ "${FILESDIR}"/${PN}-2.4.0-no-git.patch
+)
+
+src_prepare() {
+ cmake_src_prepare
+
+ use x264 || sed -i '/pkg_check_modules.*X264/d' src/CMakeLists.txt || die
+ use x265 || sed -i '/pkg_check_modules.*X265/d' src/CMakeLists.txt || die
+ use ffmpeg || sed -i '/pkg_check_modules.*LIBAV/d' src/CMakeLists.txt || die
+}
+
+src_install() {
+ local DOCS=( README TODO-SDL changelog.txt documentation/. readme.md )
+ cmake_src_install
+
+ # remove unused/duplicate files
+ rm "${ED}"/usr/share/fceux/{lua5{1,.1}.dll,{fceux,taseditor}.chm} \
+ "${ED}"/usr/share/doc/${PF}/fceux{,-net-server}.6 \
+ "${ED}"/usr/share/man/man6/fceux-net-server.6 || die
+}
next reply other threads:[~2022-03-24 14:17 UTC|newest]
Thread overview: 28+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-03-24 14:17 Ionen Wolkens [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-01 8:55 [gentoo-commits] repo/gentoo:master commit in: games-emulation/fceux/ Andreas Sturmlechner
2025-01-01 8:55 Andreas Sturmlechner
2024-05-19 16:17 James Le Cuirot
2023-02-09 20:15 Ionen Wolkens
2023-02-09 20:15 Ionen Wolkens
2022-03-30 7:16 Ionen Wolkens
2022-03-14 11:43 Ionen Wolkens
2022-03-07 20:38 Ionen Wolkens
2022-02-06 19:47 Ionen Wolkens
2022-02-05 23:39 Ionen Wolkens
2022-01-22 0:34 Ionen Wolkens
2022-01-18 2:29 Ionen Wolkens
2022-01-13 8:06 Ionen Wolkens
2021-11-10 10:59 Ionen Wolkens
2021-10-24 4:52 Ionen Wolkens
2021-06-29 20:55 Ionen Wolkens
2021-06-02 2:38 Ionen Wolkens
2021-05-09 4:42 Sam James
2021-05-09 4:42 Sam James
2021-03-25 23:31 Conrad Kostecki
2020-09-19 10:15 Michał Górny
2020-07-29 17:07 Andreas Sturmlechner
2018-04-29 11:26 Pacho Ramos
2016-02-16 1:38 Michael Sterrett
2016-02-14 10:11 Agostino Sarubbo
2016-01-15 9:03 Agostino Sarubbo
2015-12-09 22:48 Michael Sterrett
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1648131413.1802aa51102284852250c9c5b0cc19a138a884b2.ionen@gentoo \
--to=ionen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox